#!/bin/sh

#
# $Id: startup-netbsd.sh,v 1.2 2006/06/03 17:18:59 mickey Exp $
#
# NetBSD boot time start up script for vserver(8).
#
# PROVIDE: vserver
# REQUIRE: LOGIN
# KEYWORD: shutdown

#
# Add the following line to /etc/rc.conf to enable vserver:
#
# vserver="YES"
#
# Additional commandline qualifiers to be passed to vserver(8) may
# be specified in /etc/rc.conf by adding:
#
# vserver_flags="<your commandline qualifiers here>"
#
# See vserver(8) for a detailed description of vserver commandline qualifiers.
#

$_rc_subr_loaded . /etc/rc.subr
name="vserver"
rcvar=$name
command="/usr/local/sbin/${name}"
pidfile="/usr/local/etc/vchat/${name}.pid"
required_files="/usr/local/etc/vchat/user.db"
extra_commands="reload"
command_args="/DETACH"
load_rc_config $name
run_rc_command "$1"
