/*****************************************************************************
 * This file is part of the VChat conference server distribution.            *
 *                                                                           *
 * Copyright (c) 1993 - 2009 Andreas S. Wetzel                               *
 * All rights reserved.                                                      *
 *                                                                           *
 * The contents of this file are subject to the terms of the GNU General     *
 * Public License (GPL), version 2 only ("the License") as published by the  *
 * Free Software Foundation.                                                 *
 *                                                                           *
 * This Software comes with ABSOLUTELY NO WARRANTY.                          *
 * See the License for more details. You should have received a copy of the  *
 * License along with this distribution; See the file COPYING. If not, write *
 * to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,   *
 * Boston, MA 02110-1301 USA.                                                *
 *****************************************************************************/
 
/* $Id: cmd_rtcmp.c,v 1.10 2009/08/14 11:54:51 mickey Exp $ */

#include "vserver.h"

/*
 * Return RTCMP packet to client
 */

void cmd_rtcmp(CLDATA *ptr, void *data, size_t len)
{
	if(len == sizeof(RTCMP))
	{
		vcp_snd(ptr, RTCMP_ACK, data, len);
	}
	else
	{
		vcp_msg(ptr, "* Invalid argument");
	}
}
