/*****************************************************************************
 * This file is part of the VChat conference server distribution.            *
 *                                                                           *
 * Copyright (c) 1993 - 2009 Andreas S. Wetzel                               *
 * All rights reserved.                                                      *
 *                                                                           *
 * The contents of this file are subject to the terms of the GNU General     *
 * Public License (GPL), version 2 only ("the License") as published by the  *
 * Free Software Foundation.                                                 *
 *                                                                           *
 * This Software comes with ABSOLUTELY NO WARRANTY.                          *
 * See the License for more details. You should have received a copy of the  *
 * License along with this distribution; See the file COPYING. If not, write *
 * to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,   *
 * Boston, MA 02110-1301 USA.                                                *
 *****************************************************************************/
 
/* $Id: cmd_version.c,v 1.9 2009/08/14 11:54:51 mickey Exp $ */

#include "vserver.h"

#define	CPRY	"* (c) 1993 - 2009 by Andreas S. Wetzel - All rights reserved.\n* See http://www.enforcer.cc/vchat/ for more info!"

/*
 * Show program version information
 */

void cmd_version(CLDATA *ptr, void *data, size_t len)
{
	vcp_msg(ptr, "* %sV%sChat%s conference server %s%s%s (%s%s%s) / protocol revision %s%x-%x%s\n%s",
		S_FG_MAG, S_FG_YEL, S_OFF,
		S_FG_CYN, PACKAGE_VERSION, S_OFF,
		S_FG_RED, PACKAGE_RELDATE, S_OFF,
		S_FG_CYN, MAJOR_REV(PROTO_REV), MINOR_REV(PROTO_REV), S_OFF,
		CPRY);
}
